← Tables

Scotland

National League Division 1

#TeamPWDLPDBPPtsForm
1Stirling County RFC6600+277630WWWWW
2Marr RFC6402+81723LWWWW
3Glasgow Academicals RFC6402+106521LWWWL
4Gala RFC6402-18521WWWLW
5Musselburgh RFC6204-20715WLWLL
6Biggar RFC6303-137315WLLWW
7Jed-Forest RFC6204-138715LLLLW
8Boroughmuir6204-4614LWLLL
9GHK RFC6204-56412LLLWL
10Selkirk RFC6105-9137WLLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.